웹훅 수정 (v3)
curl --request PUT \
--url https://api.bizmori.com/api/v3/orders/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhook",
"name": "<string>",
"isTest": true,
"subscribedEvents": []
}
'import requests
url = "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}"
payload = {
"url": "https://example.com/webhook",
"name": "<string>",
"isTest": True,
"subscribedEvents": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhook',
name: '<string>',
isTest: true,
subscribedEvents: []
})
};
fetch('https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://example.com/webhook',
'name' => '<string>',
'isTest' => true,
'subscribedEvents' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}"
payload := strings.NewReader("{\n \"url\": \"https://example.com/webhook\",\n \"name\": \"<string>\",\n \"isTest\": true,\n \"subscribedEvents\": []\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://example.com/webhook\",\n \"name\": \"<string>\",\n \"isTest\": true,\n \"subscribedEvents\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://example.com/webhook\",\n \"name\": \"<string>\",\n \"isTest\": true,\n \"subscribedEvents\": []\n}"
response = http.request(request)
puts response.read_body{
"data": {
"webhookId": 123,
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"isTest": true,
"isActive": true,
"subscribedEvents": [
"<string>"
],
"lastSentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}Webhooks
웹훅 수정 (v3)
name, url, subscribedEvents, isActive를 수정합니다. subscribedEvents를 생략하면 기존 구독을 유지합니다. isTest는 바꿀 수 없습니다. isActive=false로 끄면 전송과 예약 재시도가 중단됩니다.
PUT
/
api
/
v3
/
orders
/
webhooks
/
{webhookId}
웹훅 수정 (v3)
curl --request PUT \
--url https://api.bizmori.com/api/v3/orders/webhooks/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhook",
"name": "<string>",
"isTest": true,
"subscribedEvents": []
}
'import requests
url = "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}"
payload = {
"url": "https://example.com/webhook",
"name": "<string>",
"isTest": True,
"subscribedEvents": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhook',
name: '<string>',
isTest: true,
subscribedEvents: []
})
};
fetch('https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://example.com/webhook',
'name' => '<string>',
'isTest' => true,
'subscribedEvents' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}"
payload := strings.NewReader("{\n \"url\": \"https://example.com/webhook\",\n \"name\": \"<string>\",\n \"isTest\": true,\n \"subscribedEvents\": []\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://example.com/webhook\",\n \"name\": \"<string>\",\n \"isTest\": true,\n \"subscribedEvents\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bizmori.com/api/v3/orders/webhooks/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://example.com/webhook\",\n \"name\": \"<string>\",\n \"isTest\": true,\n \"subscribedEvents\": []\n}"
response = http.request(request)
puts response.read_body{
"data": {
"webhookId": 123,
"name": "<string>",
"url": "<string>",
"secret": "<string>",
"isTest": true,
"isActive": true,
"subscribedEvents": [
"<string>"
],
"lastSentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}인증
본문
application/json